Contents

# ASC

Converts double-byte (full-width) characters to single-byte (half-width) ASCII and katakana characters.

See https://wiki.documentfoundation.org/Calc/Features/JIS_and_ASC_functions for a conversion table.

### Syntax

ASC(Text)

Text: the text string that contains characters to be converted.

Applying the ASC function to a string composed of single-byte characters will return the input string without any modifications.

### Examples

=ASC("LibreOffice") returns the string "LibreOffice". No modifications were made because all characters are single-byte characters.

=ASC("ライト") returns the string "ﾗｲﾄ", which is composed of single-byte characters.

Related Topics

ASC wiki page.

JIS

Text Functions

Please support us!